#define ENABLE_OVERLOADING (MIN_VERSION_haskell_gi_overloading(1,0,0) \
       && !defined(__HADDOCK_VERSION__))
module GI.Secret.Objects.Collection where

import Data.GI.Base.ShortPrelude
import qualified Data.GI.Base.ShortPrelude as SP
import qualified Data.GI.Base.Overloading as O
import qualified Prelude as P

import qualified Data.GI.Base.Attributes as GI.Attributes
import qualified Data.GI.Base.ManagedPtr as B.ManagedPtr
import qualified Data.GI.Base.GClosure as B.GClosure
import qualified Data.GI.Base.GError as B.GError
import qualified Data.GI.Base.GVariant as B.GVariant
import qualified Data.GI.Base.GValue as B.GValue
import qualified Data.GI.Base.GParamSpec as B.GParamSpec
import qualified Data.GI.Base.CallStack as B.CallStack
import qualified Data.GI.Base.Properties as B.Properties
import qualified Data.Text as T
import qualified Data.ByteString.Char8 as B
import qualified Data.Map as Map
import qualified Foreign.Ptr as FP
import qualified GHC.OverloadedLabels as OL

newtype Collection = Collection (ManagedPtr Collection)
instance GObject Collection where
class (GObject o, O.IsDescendantOf Collection o) => IsCollection o
instance (GObject o, O.IsDescendantOf Collection o) => IsCollection o
instance O.HasParentTypes Collection
#if ENABLE_OVERLOADING
data CollectionCreatedPropertyInfo
#endif
#if ENABLE_OVERLOADING
data CollectionLabelPropertyInfo
#endif
#if ENABLE_OVERLOADING
data CollectionLockedPropertyInfo
#endif
#if ENABLE_OVERLOADING
data CollectionModifiedPropertyInfo
#endif
#if ENABLE_OVERLOADING
data CollectionServicePropertyInfo
#endif
#if ENABLE_OVERLOADING
data CollectionDeleteMethodInfo
#endif
#if ENABLE_OVERLOADING
data CollectionDeleteFinishMethodInfo
#endif
#if ENABLE_OVERLOADING
data CollectionDeleteSyncMethodInfo
#endif
#if ENABLE_OVERLOADING
data CollectionGetCreatedMethodInfo
#endif
#if ENABLE_OVERLOADING
data CollectionGetFlagsMethodInfo
#endif
#if ENABLE_OVERLOADING
data CollectionGetItemsMethodInfo
#endif
#if ENABLE_OVERLOADING
data CollectionGetLabelMethodInfo
#endif
#if ENABLE_OVERLOADING
data CollectionGetLockedMethodInfo
#endif
#if ENABLE_OVERLOADING
data CollectionGetModifiedMethodInfo
#endif
#if ENABLE_OVERLOADING
data CollectionGetServiceMethodInfo
#endif
#if ENABLE_OVERLOADING
data CollectionLoadItemsMethodInfo
#endif
#if ENABLE_OVERLOADING
data CollectionLoadItemsFinishMethodInfo
#endif
#if ENABLE_OVERLOADING
data CollectionLoadItemsSyncMethodInfo
#endif
#if ENABLE_OVERLOADING
data CollectionRefreshMethodInfo
#endif
#if ENABLE_OVERLOADING
data CollectionSearchMethodInfo
#endif
#if ENABLE_OVERLOADING
data CollectionSearchFinishMethodInfo
#endif
#if ENABLE_OVERLOADING
data CollectionSearchSyncMethodInfo
#endif
#if ENABLE_OVERLOADING
data CollectionSetLabelMethodInfo
#endif
#if ENABLE_OVERLOADING
data CollectionSetLabelFinishMethodInfo
#endif
#if ENABLE_OVERLOADING
data CollectionSetLabelSyncMethodInfo
#endif
