#define ENABLE_OVERLOADING (MIN_VERSION_haskell_gi_overloading(1,0,0) \
       && !defined(__HADDOCK_VERSION__))
module GI.Secret.Objects.Service where

import Data.GI.Base.ShortPrelude
import qualified Data.GI.Base.ShortPrelude as SP
import qualified Data.GI.Base.Overloading as O
import qualified Prelude as P

import qualified Data.GI.Base.Attributes as GI.Attributes
import qualified Data.GI.Base.ManagedPtr as B.ManagedPtr
import qualified Data.GI.Base.GClosure as B.GClosure
import qualified Data.GI.Base.GError as B.GError
import qualified Data.GI.Base.GVariant as B.GVariant
import qualified Data.GI.Base.GValue as B.GValue
import qualified Data.GI.Base.GParamSpec as B.GParamSpec
import qualified Data.GI.Base.CallStack as B.CallStack
import qualified Data.GI.Base.Properties as B.Properties
import qualified Data.Text as T
import qualified Data.ByteString.Char8 as B
import qualified Data.Map as Map
import qualified Foreign.Ptr as FP
import qualified GHC.OverloadedLabels as OL

newtype Service = Service (ManagedPtr Service)
instance GObject Service where
class (GObject o, O.IsDescendantOf Service o) => IsService o
instance (GObject o, O.IsDescendantOf Service o) => IsService o
instance O.HasParentTypes Service
#if ENABLE_OVERLOADING
data ServiceClearMethodInfo
#endif
#if ENABLE_OVERLOADING
data ServiceClearFinishMethodInfo
#endif
#if ENABLE_OVERLOADING
data ServiceClearSyncMethodInfo
#endif
#if ENABLE_OVERLOADING
data ServiceCreateItemDbusPathSyncMethodInfo
#endif
#if ENABLE_OVERLOADING
data ServiceDecodeDbusSecretMethodInfo
#endif
#if ENABLE_OVERLOADING
data ServiceEncodeDbusSecretMethodInfo
#endif
#if ENABLE_OVERLOADING
data ServiceEnsureSessionMethodInfo
#endif
#if ENABLE_OVERLOADING
data ServiceEnsureSessionFinishMethodInfo
#endif
#if ENABLE_OVERLOADING
data ServiceEnsureSessionSyncMethodInfo
#endif
#if ENABLE_OVERLOADING
data ServiceGetCollectionGtypeMethodInfo
#endif
#if ENABLE_OVERLOADING
data ServiceGetCollectionsMethodInfo
#endif
#if ENABLE_OVERLOADING
data ServiceGetFlagsMethodInfo
#endif
#if ENABLE_OVERLOADING
data ServiceGetItemGtypeMethodInfo
#endif
#if ENABLE_OVERLOADING
data ServiceGetSessionAlgorithmsMethodInfo
#endif
#if ENABLE_OVERLOADING
data ServiceGetSessionDbusPathMethodInfo
#endif
#if ENABLE_OVERLOADING
data ServiceLoadCollectionsMethodInfo
#endif
#if ENABLE_OVERLOADING
data ServiceLoadCollectionsFinishMethodInfo
#endif
#if ENABLE_OVERLOADING
data ServiceLoadCollectionsSyncMethodInfo
#endif
#if ENABLE_OVERLOADING
data ServiceLockMethodInfo
#endif
#if ENABLE_OVERLOADING
data ServiceLockFinishMethodInfo
#endif
#if ENABLE_OVERLOADING
data ServiceLockSyncMethodInfo
#endif
#if ENABLE_OVERLOADING
data ServiceLookupMethodInfo
#endif
#if ENABLE_OVERLOADING
data ServiceLookupFinishMethodInfo
#endif
#if ENABLE_OVERLOADING
data ServiceLookupSyncMethodInfo
#endif
#if ENABLE_OVERLOADING
data ServicePromptMethodInfo
#endif
#if ENABLE_OVERLOADING
data ServicePromptFinishMethodInfo
#endif
#if ENABLE_OVERLOADING
data ServicePromptSyncMethodInfo
#endif
#if ENABLE_OVERLOADING
data ServiceSearchMethodInfo
#endif
#if ENABLE_OVERLOADING
data ServiceSearchFinishMethodInfo
#endif
#if ENABLE_OVERLOADING
data ServiceSearchSyncMethodInfo
#endif
#if ENABLE_OVERLOADING
data ServiceSetAliasMethodInfo
#endif
#if ENABLE_OVERLOADING
data ServiceSetAliasFinishMethodInfo
#endif
#if ENABLE_OVERLOADING
data ServiceSetAliasSyncMethodInfo
#endif
#if ENABLE_OVERLOADING
data ServiceStoreMethodInfo
#endif
#if ENABLE_OVERLOADING
data ServiceStoreFinishMethodInfo
#endif
#if ENABLE_OVERLOADING
data ServiceStoreSyncMethodInfo
#endif
#if ENABLE_OVERLOADING
data ServiceUnlockMethodInfo
#endif
#if ENABLE_OVERLOADING
data ServiceUnlockFinishMethodInfo
#endif
#if ENABLE_OVERLOADING
data ServiceUnlockSyncMethodInfo
#endif
